namespace eldbus { namespace model { 
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Proxy::name_get() const
{
   const char * __return_value =  ::eldbus_model_proxy_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
} } 
namespace eo_cxx {
namespace eldbus { namespace model { 
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Proxy::name_get() const
{
   const char * __return_value =  ::eldbus_model_proxy_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline eldbus::model::Proxy::operator ::eldbus::model::Proxy() const { return *static_cast< ::eldbus::model::Proxy const*>(static_cast<void const*>(this)); }
inline eldbus::model::Proxy::operator ::eldbus::model::Proxy&() { return *static_cast< ::eldbus::model::Proxy*>(static_cast<void*>(this)); }
inline eldbus::model::Proxy::operator ::eldbus::model::Proxy const&() const { return *static_cast< ::eldbus::model::Proxy const*>(static_cast<void const*>(this)); }
} } }

